---
schema_version: "1"
id: 03e0108a10d81cc63d17687c71c5852a0086e2f71a4a8809833f2435ae8d9a87
title: Get Quick Actions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-quickactions-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-quickactions-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0e7361d6ba7700e528edc592dd03f0058a65fdd9476454e4cb05fe2f79667bde
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Quick Actions

Gets a list of quick actions. This resource is available in REST API version 28.0 and later.

Add all required fields to an object before you create a quick action for that object. If you add a required field after creating a quick action, the field doesn’t appear in the quick action’s describe results. Then, when the quick action runs, the field isn’t available and an error occurs for the missing field. If you don’t want the required field to appear in the quick action’s layout, set a default value for the field.

When working with actions, also refer to [sObject Quick Actions](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-quickactions.md).

## Syntax

**URI:** `/services/data/vXX.X/quickActions/`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/quickActions/ -H "Authorization: Bearer token"
```

